Commit 732d2b67 authored by Christoph Berg's avatar Christoph Berg

/etc/apt/apt.conf.d/01autoremove-postgresql: Mark ^postgresql- as

NeverAutoRemove, so upgrading the "postgresql" meta package doesn't
automatically remove access to the old clusters.
parent bcc12548
// File installed by postgresql-common. Currently not updated automatically,
// but might be in future releases.
//
// We mark all PostgreSQL packages as NeverAutoRemove because otherwise apt
// would remove the old postgresql-x.y package when the "postgresql" meta
// package changes its dependencies to a new version, rendering the old
// database cluster inaccessible. As access to the cluster might depend on
// other modules (like datatypes), we use a pretty wide pattern here. We might
// tighten this to match only actually used PostgreSQL versions in the future.
APT
{
NeverAutoRemove
{
"^postgresql-";
};
};
postgresql-common (149) UNRELEASED; urgency=low
postgresql-common (149) unstable; urgency=low
* debian/supported-versions: Set default version to 9.3. Drop 9.2 from
wheezy-backports.
* /etc/apt/apt.conf.d/01autoremove-postgresql: Mark ^postgresql- as
NeverAutoRemove, so upgrading the "postgresql" meta package doesn't
automatically remove access to the old clusters.
* pg_wrapper: Print a more informative error message when program to execute
was not found in /usr/lib/postgresql.
* debian/postgresql-client-common.links: Wrap pg_isready and pg_receivexlog.
-- Christoph Berg <myon@debian.org> Mon, 09 Sep 2013 14:09:01 +0200
-- Christoph Berg <myon@debian.org> Mon, 09 Sep 2013 14:15:18 +0200
postgresql-common (148) unstable; urgency=low
......
debian/01autoremove-postgresql etc/apt/apt.conf.d
debian/init.d-functions usr/share/postgresql-common
pg_lsclusters usr/bin
pg_createcluster usr/bin
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment